package _03_方法重载;

public class Test {
    public static void main(String[] args) {
        /**
         * 定义
         * 两数值和
         * 三个数之和
         * 四个数之和
         *
         * 使用方法重载方式进定义和调用
         */
        sum(1,2);
        sum(1,2,3);
        sum(1,3,4,5);
    }

    public static void sum(int a , int b){
        System.out.println(a+b);
    }

    public static void sum(int a , int b , int c){
        System.out.println(a+b+c);
    }

    public static void sum(int a , int b , int c , int d ){
        System.out.println(a+b+c+d);
    }
}
